lib64ncursesw-devel-6.1-20190817.1.mga8.x86_64.rpm


Advertisement

Description

lib64ncursesw-devel - The development files for applications which use ncurses

Property Value
Distribution Mageia Cauldron
Repository Mageia Core x86_64
Package filename lib64ncursesw-devel-6.1-20190817.1.mga8.x86_64.rpm
Package name lib64ncursesw-devel
Package version 6.1
Package release 20190817.1.mga8
Package architecture x86_64
Package type rpm
Category Development/C
Homepage http://www.gnu.org/software/ncurses/ncurses.html
License MIT
Maintainer -
Download size 13.27 KB
Installed size 2.10 KB
The libraries for developing applications that use ncurses CRT screen
handling and optimization package. Install it if you want to develop
applications which will use ncurses.
Note that the libraries included here supports wide char (UTF-8),
and is not compatible with those without. When linking programs with
these libraries, you will have to append a "w" to the library names,
i.e. -lformw, -lmenuw, -lncursesw, -lpanelw.

Alternatives

Package Version Architecture Repository
lib64ncursesw-devel - - -

Requires

Name Value
devel(libformw(64bit)) -
devel(libgcc_s(64bit)) -
devel(libmenuw(64bit)) -
devel(libncursesw(64bit)) -
devel(libpanelw(64bit)) -
devel(libstdc++(64bit)) -
devel(libtinfo(64bit)) -
filesystem >= 2.1.9-18
lib64ncurses-devel == 6.1-20190817.1.mga8
lib64ncursesw6 == 6.1-20190817.1.mga8
pkgconfig -
pkgconfig(formw) -
pkgconfig(menuw) -
pkgconfig(ncursesw) -
pkgconfig(panelw) -

Provides

Name Value
devel(libformw(64bit)) -
devel(libmenuw(64bit)) -
devel(libncurses++w(64bit)) -
devel(libncursesw(64bit)) -
devel(libpanelw(64bit)) -
lib64ncursesw-devel == 6.1-20190817.1.mga8
lib64ncursesw-devel(x86-64) == 6.1-20190817.1.mga8
libncursesw-devel == 6.1-20190817.1.mga8
ncursesw-devel == 6.1-20190817.1.mga8
pkgconfig(formw) == 6.1.20190817
pkgconfig(menuw) == 6.1.20190817
pkgconfig(ncurses++w) == 6.1.20190817
pkgconfig(ncursesw) == 6.1.20190817
pkgconfig(panelw) == 6.1.20190817

Conflicts

Name Value
lib64ncurses-devel < 5.7-3.20091128.2

Obsoletes

Name Value
lib64ncursesw5-devel -

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package lib64ncursesw-devel-6.1-20190817.1.mga8.x86_64.rpm
Source Package ncurses-6.1-20190817.1.mga8.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64ncursesw-devel rpm package:
    # urpmi lib64ncursesw-devel

Files

Path
/usr/include/ncursesw/curses.h
/usr/include/ncursesw/cursesapp.h
/usr/include/ncursesw/cursesf.h
/usr/include/ncursesw/cursesm.h
/usr/include/ncursesw/cursesp.h
/usr/include/ncursesw/cursesw.h
/usr/include/ncursesw/cursslk.h
/usr/include/ncursesw/eti.h
/usr/include/ncursesw/etip.h
/usr/include/ncursesw/form.h
/usr/include/ncursesw/menu.h
/usr/include/ncursesw/nc_tparm.h
/usr/include/ncursesw/ncurses.h
/usr/include/ncursesw/ncurses_dll.h
/usr/include/ncursesw/panel.h
/usr/include/ncursesw/term.h
/usr/include/ncursesw/term_entry.h
/usr/include/ncursesw/termcap.h
/usr/include/ncursesw/tic.h
/usr/include/ncursesw/unctrl.h
/usr/lib64/libcursesw.so
/usr/lib64/libformw.so
/usr/lib64/libmenuw.so
/usr/lib64/libncurses++w.so
/usr/lib64/libncursesw.so
/usr/lib64/libpanelw.so
/usr/lib64/pkgconfig/formw.pc
/usr/lib64/pkgconfig/menuw.pc
/usr/lib64/pkgconfig/ncurses++w.pc
/usr/lib64/pkgconfig/ncursesw.pc
/usr/lib64/pkgconfig/panelw.pc

Changelog

2019-08-25 - wally <wally> 6.1-20190817.1.mga8
+ Revision: 1432094
- new version 6.1-20190817
2018-12-01 - wally <wally> 6.1-20181117.3.mga7
+ Revision: 1337082
- drop --disable-relink configure switch
- install wide-character versions of libtinfo and libtic
- drop static build
- don't strip binaries
2018-11-25 - wally <wally> 6.1-20181117.2.mga7
+ Revision: 1334185
- disable shared lib relinking during install (when building the pkg)
2018-11-25 - daviddavid <daviddavid> 6.1-20181117.1.mga7
+ Revision: 1333979
- new version 6.1-20181117
2018-09-23 - umeabot <umeabot> 6.1-20180728.2.mga7
+ Revision: 1299686
- Mageia 7 Mass Rebuild
2018-08-04 - wally <wally> 6.1-20180728.1.mga7
+ Revision: 1247246
- new version 6.1-20180728
2018-05-28 - wally <wally> 6.1-20180526.1.mga7
+ Revision: 1232790
- update to 6.1-20180526
2018-04-12 - kekepower <kekepower> 6.1-20180407.1.mga7
+ Revision: 1218021
- Update to 6.1-20180407
- Fix make commands
2018-03-18 - joequant <joequant> 6.1-20180317.1.mga7
+ Revision: 1210288
- upgrade to 6.1
+ wally <wally>
- fix also ncursesw devel provides on aarch64
2018-02-27 - wally <wally> 6.0-20171223.4.mga7
+ Revision: 1205482
- fix devel pkg provides on aarch64

See Also

Package Description
lib64ncursesw5-6.1-20190817.1.mga8.x86_64.rpm Ncurses libraries which support UTF8
lib64ncursesw6-6.1-20190817.1.mga8.x86_64.rpm Ncurses libraries which support UTF8
lib64ndctl-devel-63-3.mga7.x86_64.rpm Development files for libndctl
lib64ndctl6-63-3.mga7.x86_64.rpm Management library for "libnvdimm" subsystem devices (Non-volatile Memory)
lib64ndp-devel-1.6-3.mga7.x86_64.rpm Libraries and header files for libndp development
lib64ndp0-1.6-3.mga7.x86_64.rpm Library for Neighbor Discovery Protocol
lib64ndpi-devel-2.6-1.mga7.x86_64.rpm Header files and libraries for developing applications for nDPI
lib64ndpi-static-devel-2.6-1.mga7.x86_64.rpm Open source deep packet inspection static library
lib64ndpi2-2.6-1.mga7.x86_64.rpm Open source deep packet inspection library
lib64nemo-devel-4.2.3-1.mga8.x86_64.rpm Support for developing nemo extensions
lib64nemo-extension-4.2.3-1.mga8.x86_64.rpm Nemo extensions library
lib64nemo-gir3.0-4.2.3-1.mga8.x86_64.rpm GObject Introspection interface description for nemo
lib64neon-devel-0.30.2-2.mga7.x86_64.rpm Headers for developing programs that will use libneon
lib64neon-static-devel-0.30.2-2.mga7.x86_64.rpm Static libneon library
lib64neon27-0.30.2-2.mga7.x86_64.rpm Shared libraries for libneon
Advertisement
Advertisement